Skip to main content
Posts

List all posts for the project

Returns a paginated list of posts. Filter by status, platform (OR logic), and date ranges. Published posts include platformPostUrl per platform.

GET/v1/posts/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

status?string
Value in"draft" | "pending" | "scheduled" | "publishing" | "published" | "failed" | "partial"
platform?array<>

Filter by platform (repeatable — OR logic)

profileId?string

Filter to posts targeting an integration bound to this profile. Pass "null" (literal string) to filter to posts whose integrations have no profile.

createdAfter?string

ISO 8601 lower bound on createdAt

Formatdate-time
createdBefore?string

ISO 8601 upper bound on createdAt

Formatdate-time
scheduledAfter?string

ISO 8601 lower bound on scheduledFor

Formatdate-time
scheduledBefore?string

ISO 8601 upper bound on scheduledFor

Formatdate-time
limit?integer

Page size (max 100)

Default20
Range1 <= value <= 100
offset?integer

Number of posts to skip

Default0
Range0 <= value
sort?string
Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/posts/"
{
  "success": true,
  "total": 0,
  "posts": [
    {
      "postId": "string",
      "content": "string",
      "status": "draft",
      "scheduledFor": "2019-08-24T14:15:22Z",
      "timezone": "string",
      "mediaItems": [
        {
          "type": "image",
          "url": "string",
          "filename": "string",
          "size": 0,
          "mimeType": "string"
        }
      ],
      "platforms": [
        {
          "platform": "twitter",
          "status": "draft",
          "content": "string",
          "platformPostId": "string",
          "platformPostUrl": "string",
          "publishedAt": "2019-08-24T14:15:22Z",
          "errorMessage": "string",
          "warningMessage": "string"
        }
      ],
      "crosspostingEnabled": true,
      "rawRequestBody": {},
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "success": true,
  "message": "string"
}